Get channel events
Updated
Retrieves Signaling channel join and leave events.
https://api.agora.io/dev/v2/project/{appid}/rtm/vendor/channel_eventsThis method retrieves channel events from the Agora Signaling server. Events you acquire using this API are removed from the server and cannot be retrieved again.
The Signaling server stores a maximum of 2,000 events, with the latest event replacing the oldest when this limit is exceeded. The backend returns a maximum of 1,000 events per request, and the number of requests for each app ID must not exceed 10 per second.
Note
Events acquired using this API are removed from the server and cannot be retrieved again. The Signaling server stores a maximum of 2,000 events, replaces the oldest event when this limit is exceeded, returns at most 1,000 events per request, and allows up to 10 requests per second for each App ID.
Caution
Agora does not guarantee event time sequence across geographical regions. Events pulled from different regions may contain duplicates since synchronization only occurs within regions, not across them.
Path Parameters
The App ID of your Agora project.
Request
This endpoint does not require any query parameters or a request body.
Response
- If the returned status code is
200, the request was successful. The response body contains the result of the request. - If the returned status code is not
200, the request failed. The response body includes the error code and description. Refer to status codes to understand the possible reasons for failure.
Response Body
application/json
Response schema
200The request was successful. The response body contains the result of the request.
The result of this request. success if it succeeds, failed if it fails.
The unique ID of this request.
An array of join and leave events.
The corresponding channel ID.
The corresponding user ID.
Event type: Join when a user has joined the channel, Leave when a user has left the channel.
The event type:
- Join: A user has joined the channel.
- Leave: A user has left the channel.
Number of milliseconds since January 1, 1970 (UTC) to the UTC time when the server receives the message.
defaultThe request failed. The response body includes the error code and description.
Request examples
curl -X GET 'https://api.agora.io/dev/v2/project/876922cbca0098dff4323566daa89675/rtm/vendor/channel_events' \
-H 'Authorization: Basic <your_base64_encoded_credentials>'
Response example
{ "result": "success", "request_id": "10116762670167749259", "events": [ { "group_id": "example_channel_id", "user_id": "rtmtest_RTM_4852_4857w7%", "type": "Join", "ms": 1578027418981 } ]}